services:
  proxy:
    image: caddy/caddy
    restart: on-failure
    dns:
      - 8.8.8.8     # DNS Google
      - 1.1.1.1  
    ports:
      - "19443:443"
    volumes:
      - "./config/vhost/Caddyfile:/etc/caddy/Caddyfile"
    networks:
      - my_nets


networks:
  my_nets:
   # Use a custom driver
   driver: bridge
   ipam:
    config:
     - subnet: 192.115.0.0/29
       gateway: 192.115.0.1

